Subject: Re: [MMUSIC] Comments on draft-pantos-http-live-streaming

From: David Singer <[email-masked]>
Date: Tue, 4 Aug 2009 15:06:17 -0700

Hello Rémi. Thanks for looking at the draft.

On Aug 2, 2009, at 12:12 PM, Rémi Denis-Courmont wrote:
>* I'm not sure I see the point of the EXT-X-ALLOW-CACHE parameter. Does HTTP
>not have extensive caching negotiation built-in already?

It does. EXT-X-ALLOW-CACHE is there to allow 
providers to specify the lifetime of the content 
on the device independently of its lifetime on 
the network. Particularly, some media 
distribution agreements require limited lifetime 
of the media on the device to distinguish a 
"broadcast" from a "recording."

>* It is not clear to me whether EXT-X-TARGETDURATION is mandatory or not.

From section 3.1.1 of the draft:

3.1.1.  EXT-X-TARGETDURATION

    The EXT-X-TARGETDURATION tag indicates the approximate duration of
    the next media file that will be added to the main presentation.  It
    MUST appear in the Playlist file.

As specified by RFC 2119, the MUST indicates that 
the EXT-X-TARGETDURATION tag is mandatory.

>* I don't understand how the receiver (the client) of the playlist can
>_reliably_ distinguish a plain old playlist file from a live streaming file.
>M3U URLs are already in common use to deliver "real" playlist, and the
>semantics are significantly different from what your draft does. If none ofthe
>new parameters you introduce are mandatory, this protocol is basically
>impossible to implement in a way that does not break existing functionality in
>many media players.

Players can use the presence of the 
EXT-X-TARGETDURATION tag to determine whether the 
playlist file follows the rules of the draft.

-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Wed, 5 Aug 2009 09:23:43 +0300

On Wednesday 05 August 2009 01:06:17 ext David Singer wrote:
> >* I'm not sure I see the point of the EXT-X-ALLOW-CACHE parameter. Does
> > HTTP not have extensive caching negotiation built-in already?
>

Hmm, ok... Where would timeshifting fit in this?

-- 
Rémi Denis-Courmont
Nokia Devices R&D, Maemo Software, Helsinki

---

From: David Singer <[email-masked]>
Date: Wed, 5 Aug 2009 16:54:46 -0700

>Hmm, ok... Where would timeshifting fit in this?

From a technical point of view, the presence of 
the EXT-X-ALLOW-CACHE tag with a value of NO 
would forbid a client from timeshifting. 
Otherwise a client would be allowed to cache the 
content for later viewing.

Note that providing a VOD / progressive download 
link is another way to do timeshifting.